        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:47 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE GAULEG__genmod
          INTERFACE 
            SUBROUTINE GAULEG(NGP,XABSC,WEIG)
              INTEGER(KIND=4), INTENT(IN) :: NGP
              REAL(KIND=8), INTENT(OUT) :: XABSC(NGP)
              REAL(KIND=8), INTENT(OUT) :: WEIG(NGP)
            END SUBROUTINE GAULEG
          END INTERFACE 
        END MODULE GAULEG__genmod
